//
//  TestViewController.m
//  YiXinSDKSample
//
//  Created by yixinopen@188.com
//  Copyright (c) 2013年 Netease. All rights reserved.
//

#import "OauthTestViewController.h"
#import "OauthDemoWebViewController.h"


@interface OauthTestViewController ()
{
    bool isGetStatu;
    bool isUseWebview;
    NSInteger currentBtnTag;
}
@end

@implementation OauthTestViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    isGetStatu = YES;
    currentBtnTag = 0;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)dealloc {
    [self.oauthCodeResultLabel release];
    self.oauthCodeResultLabel = nil;
    [super dealloc];
}

- (void)viewDidUnload {
    [self setOauthCodeResultLabel: nil];
    [super viewDidUnload];
}

- (IBAction)onOauthBtnPressed:(UIButton *)sender
{
    currentBtnTag = sender.tag;
    self.oauthCodeResultLabel.text = @"";
    if(self.delegate != nil && currentBtnTag == 0){
        isUseWebview = NO;
        [self.delegate sendOauthCodeReq];
    }else if (currentBtnTag == 1){
        isUseWebview = YES;
        [self loadWebView];
    }
}

- (void) loadWebView
{
    OauthDemoWebViewController *webController = [[OauthDemoWebViewController alloc] initWithNibName:@"OauthDemoWebViewController" bundle:nil];
    if([self respondsToSelector:@selector(presentViewController:animated:completion:)]){
        [self presentViewController:webController animated:YES completion:nil];
    }else if([self respondsToSelector:@selector(presentModalViewController:animated:)]){
        [self presentViewController:webController animated:YES completion:nil];
    }
    
    [webController release];
}

- (void) updateOauthCode : (NSString *)oauthCode
{
    self.oauthCodeResultLabel.text = [NSString stringWithFormat:@"当前oauthcode信息来自%@\n：%@", isUseWebview? @"webview": @"易信客户端", oauthCode];
}

@end
