//
//  TestViewController.h
//  YiXinSDKSample
//
//  Created by yixinopen@188.com
//  Copyright (c) 2013年 Netease. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol YXViewDelegate <NSObject>

- (void)sendTextContent;
- (void)sendImageContent;
- (void)sendMusicContent;
- (void)sendWebPageContent;
- (void)sendVideoContent;
- (void)sendAppExtendContent;
- (void)resetScene:(NSInteger)scene;

@end

@interface TestViewController : UIViewController

@property (nonatomic, assign) id<YXViewDelegate> delegate;

- (IBAction)shareTextContent:(id)sender;
- (IBAction)shareImageContent:(id)sender;
- (IBAction)shareMusicContent:(id)sender;
- (IBAction)shareVideoContent:(id)sender;
- (IBAction)shareWebpageContent:(id)sender;

- (IBAction)senAppExtendContent:(id)sender;

@end
